std::__profile::set< _Key, _Compare, _Allocator >(3cxx)

NAME
std::__profile::set< _Key, _Compare, _Allocator > - Class std::set wrapper with performance instrumentation.

SYNOPSIS

Inherits set< _Key, _Compare, _Allocator >, and std::__profile::_Ordered_profile< _Cont >.

  Public Types

typedef __iterator_tracker< _Base_const_iterator, set > const_iterator
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __iterator_tracker< _Base_iterator, set > iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions

set (const set &)=default
set (set &&)=default
set (const _Compare &__comp, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> set (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
set (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
set (const _Allocator &__a)
set (const set &__x, const _Allocator &__a)
set (set &&__x, const _Allocator &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
set (initializer_list< value_type > __l, const _Allocator &__a)
template<typename _InputIterator > set (_InputIterator __first, _InputIterator __last, const _Allocator &__a)
set (const _Base &__x)
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
void _M_profile_iterate (int __rewind=0) const
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
size_type count (const key_type &__x) const
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> size_type count (const _Kt &__x) const
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> std::pair< iterator, bool > emplace (_Args &&... __args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&... __args)
iterator end () noexcept
const_iterator end () const noexcept
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> std::pair< iterator, iterator > equal_range (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> std::pair< const_iterator, const_iterator > equal_range (const _Kt &__x) const
iterator erase (const_iterator __pos)
size_type erase (const key_type &__x)
iterator erase (const_iterator __first, const_iterator __last)
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> iterator find (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> const_iterator find (const _Kt &__x) const
std::pair< iterator, bool > insert (const value_type &__x)
std::pair< iterator, bool > insert (value_type &&__x)
iterator insert (const_iterator __pos, const value_type &__x)
iterator insert (const_iterator __pos, value_type &&__x)
template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
void insert (initializer_list< value_type > __l)
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> iterator lower_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> const_iterator lower_bound (const _Kt &__x) const
set & operator= (const set &)=default
set & operator= (set &&)=default
set & operator= (initializer_list< value_type > __l)
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
void swap (set &__x) noexcept(/*conditional */)
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> iterator upper_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> const_iterator upper_bound (const _Kt &__x) const

  Protected Member Functions

void _M_profile_construct () noexcept
void _M_profile_destruct () noexcept
void _M_swap (_Ordered_profile &__other)

  Protected Attributes

__gnu_profile::__map2umap_info * _M_map2umap_info

  Friends

template<typename _K1 , typename _C1 , typename _A1 > bool operator< (const set< _K1, _C1, _A1 > &, const set< _K1, _C1, _A1 > &)
template<typename _K1 , typename _C1 , typename _A1 > bool operator== (const set< _K1, _C1, _A1 > &, const set< _K1, _C1, _A1 > &)

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
class std::__profile::set< _Key, _Compare, _Allocator >" Class std::set wrapper with performance instrumentation.

Definition at line 42 of file profile/set.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.